aboutsummaryrefslogtreecommitdiff
path: root/vendor/cabal-helper-0.8.1.2/scripts/bump.sh
diff options
context:
space:
mode:
authoralexwl <alexey.a.kiryushin@gmail.com>2018-10-08 02:40:18 +0300
committeralexwl <alexey.a.kiryushin@gmail.com>2018-10-08 02:40:18 +0300
commitf38daf67730fe31b865528eb972c619857e62a5c (patch)
tree093c30681686f834dfa4b39da119e230b19284e9 /vendor/cabal-helper-0.8.1.2/scripts/bump.sh
parent579a0f16c4f3ad2bcc8a283081d214fbe1ee3a59 (diff)
Update cabal-helper to version 0.8.1.2 that supports Cabal (>=1.14 && <1.26 || >=2.0 && <2.5)
Building cabal-helper-0.8.1.2 with Stack failed with 'Dependency cycle detected' error. It seems to be https://github.com/commercialhaskell/stack/issues/4265 Stack bug. As a temporary solution I added source code of cabal-helper package to vendor directory and commented out 'build-tool-depends: cabal-helper:cabal-helper-wrapper' line in the cabal-helper.cabal file.
Diffstat (limited to 'vendor/cabal-helper-0.8.1.2/scripts/bump.sh')
-rwxr-xr-xvendor/cabal-helper-0.8.1.2/scripts/bump.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/vendor/cabal-helper-0.8.1.2/scripts/bump.sh b/vendor/cabal-helper-0.8.1.2/scripts/bump.sh
new file mode 100755
index 0000000..a5a2ba7
--- /dev/null
+++ b/vendor/cabal-helper-0.8.1.2/scripts/bump.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 VERSION" >&2
+ exit 1
+fi
+
+VERSION=$1
+
+if ! echo $VERSION | grep "^[0-9.]"; then
+ echo "invalid version";
+ exit 1
+fi
+
+cd $(dirname $0)/..
+
+sed -r -i 's/^(version:[[:space:]]*)[0-9.]+/\1'"$VERSION"'/' cabal-helper.cabal
+
+git add cabal-helper.cabal
+git commit -m "Bump version to $VERSION"
+
+git tag "v$VERSION"